Docs Video unified format /ent/v2/text2video
API reference

Vincent Video

Generate videos based on text prompt words.

POST/ent/v2/text2video

Body Parametersapplication/json

aspect_ratio string

Aspect ratio, e.g. 16:9, 9:16, 1:1

bgm boolean

Whether to add background music

callback_url string

Task completion callback URL

duration integer

Video duration (seconds)

model* string

Model name

prompt* string

text prompt word

resolution string

Resolution, such as 720p/1080p

seed integer

Random seed, 0 is random

style string

Style parameter

watermark boolean

Whether to add watermark

Responses

200 success application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"aspect_ratio": "16:9",
3"duration": 5,
4"model": "viduq2",
5"prompt": "一只猫在草地上奔跑"
6}
Code Sample cURL
1curl -X POST "https://api.digislash.com/ent/v2/text2video" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "16:9",
6"duration": 5,
7"model": "viduq2",
8"prompt": "一只猫在草地上奔跑"
9}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}